LibreOffice: XViewPane Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XViewPane Interface Referencepublished

represents a pane in a view of a spreadsheet document. More...

`import "XViewPane.idl";`

Inheritance diagram for XViewPane:

## Public Member Functions
long | getFirstVisibleColumn ()
| returns the first column that is visible in the pane.
void | setFirstVisibleColumn ([in] long nFirstVisibleColumn)
| sets the first column that is visible in the pane.
long | getFirstVisibleRow ()
| returns the first row that is visible in the pane.
void | setFirstVisibleRow ([in] long nFirstVisibleRow)
| sets the first row that is visible in the pane.
com::sun::star::table::CellRangeAddress | getVisibleRange ()
| returns the address of the cell range that consists of the cells which are visible in the pane.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

represents a pane in a view of a spreadsheet document.

See also
  com::sun::star::sheet::SpreadsheetViewPane

## Member Function Documentation

## ◆ getFirstVisibleColumn()

long getFirstVisibleColumn | ( |  | ) |

returns the first column that is visible in the pane.

## ◆ getFirstVisibleRow()

long getFirstVisibleRow | ( |  | ) |

returns the first row that is visible in the pane.

## ◆ getVisibleRange()

com::sun::star::table::CellRangeAddress getVisibleRange | ( |  | ) |

returns the address of the cell range that consists of the cells which are visible in the pane.

## ◆ setFirstVisibleColumn()

void setFirstVisibleColumn | ( | [in] long | nFirstVisibleColumn | ) |

sets the first column that is visible in the pane.

## ◆ setFirstVisibleRow()

void setFirstVisibleRow | ( | [in] long | nFirstVisibleRow | ) |

sets the first row that is visible in the pane.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XViewPane.idl